PLASMAPKG(1)

NAME
plasmapkg - Install, list, remove Plasma packages

SYNOPSIS

plasmapkg [-g, --global] [-t, --type type] [-i, --install path] [-u, --upgrade path] [-l, --list] [--list-types] [-r, --remove name] [-p, --packageroot path] [KDE Generic Options] [Qt Generic Options]

DESCRIPTION

plasmapkg is a command line tool to install, list, remove Plasma packages.

OPTIONS

-g, --global
    For install or remove, operates on packages installed for all users.

-t, --type  type
    The type of package, e.g. theme, wallpaper, plasmoid, dataengine, runner, layout-template, etc. [plasmoid].

-i, --install  path
    Install the package at ``path''.

-u, --upgrade  path
    Upgrade the package at ``path''.

-l, --list
    List installed packages.

-r, --remove  name
    Remove the package named ``name''.

-p, --packageroot  path
    Absolute path to the package root. If not supplied, then the standard data directories for this KDE session will be searched instead.

SEE ALSO

More detailed user documentation is available from help:/plasma-desktop: help:/plasma-desktop (either enter this URL into Konqueror, or run khelpcenter help:/plasma-desktop).

AUTHORS

plasmapkg was written by Aaron Seigo <aseigo@kde.org>.